System.Data 2.0.0.0 System.Runtime.InteropServices.ExternalException

The class is an abstract class used as the base class for provider-specific exception class implementations.

For general information about handling exceptions for a .NET Framework data provider, see .

The base class for all exceptions thrown on behalf of the data source.

- Constructor

  The class is an abstract class used as the base class for provider-specific exception class implementations.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  The class is an abstract class used as the base class for provider-specific exception class implementations.

  Initializes a new instance of the class with the specified error message.

  The message to display for this exception.
  2.0.0.0
- Constructor

  The class is an abstract class used as the base class for provider-specific exception class implementations.

  Initializes a new instance of the class with the specified serialization information and context.

  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination.
  2.0.0.0
- Constructor

  The class is an abstract class used as the base class for provider-specific exception class implementations.

  Initializes a new instance of the class with the specified error message and a reference to the inner exception that is the cause of this exception.

  The error message string.
  The inner exception reference.
  2.0.0.0
- Constructor
  To be added.

  The class is an abstract class used as the base class for provider-specific exception class implementations.

  Initializes a new instance of the class with the specified error message and error code.

  The error message that explains the reason for the exception.
  2.0.0.0